Dell XPS 13 (9370) defaults to s2idle sleep/suspend instead of deep, NVMe drains lots of power under s2idle

Bug #1808957 reported by Aaron Whitehouse on 2018-12-18
68
This bug affects 12 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Unassigned
Cosmic
Medium
Unassigned
Disco
Medium
Unassigned
linux-oem (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

It seems that the Dell 9370 is set to go into s2idle mode rather than deep sleep, forgoing significant power savings.

I have confirmed this by suspending and then checking:
sudo journalctl | grep "PM: suspend" | tail -2. If the output is

PM: suspend entry (s2idle)
PM: suspend exit

cat /sys/power/mem_sleep showed

[s2idle] deep

As a temporary fix, I typed
echo deep > /sys/power/mem_sleep
as a root user (sudo -i).

Then the output of cat /sys/power/mem_sleep was
s2idle [deep]

After suspending now,
sudo journalctl | grep "PM: suspend" | tail -2 returns

PM: suspend entry (deep)
PM: suspend exit

I have made this permanent by editing
/etc/default/grub

and replacing
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
with
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash mem_sleep_default=deep"

then regenerating my grub configuration (sudo grub-mkconfig -o /boot/grub/grub.cfg).

This appears to be working with no ill effects.

Credit to https://askubuntu.com/a/1036122/470077

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: linux-image-4.18.0-11-generic 4.18.0-11.12
ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
Uname: Linux 4.18.0-11-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.10-0ubuntu13.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: aaron-work 3672 F.... pulseaudio
 /dev/snd/pcmC0D0p: aaron-work 3672 F...m pulseaudio
Date: Tue Dec 18 09:52:44 2018
EcryptfsInUse: Yes
HibernationDevice: RESUME=/dev/ubuntu-vg/swap_1
InstallationDate: Installed on 2018-09-04 (104 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 0489:e0a2 Foxconn / Hon Hai
 Bus 001 Device 002: ID 0bda:58f4 Realtek Semiconductor Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. XPS 13 9370
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.18.0-11-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash mem_sleep_default=deep vt.handoff=1
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-4.18.0-11-generic N/A
 linux-backports-modules-4.18.0-11-generic N/A
 linux-firmware 1.175.1
SourcePackage: linux
UpgradeStatus: Upgraded to cosmic on 2018-10-26 (52 days ago)
dmi.bios.date: 08/09/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.5.1
dmi.board.name: 0F6P3V
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.5.1:bd08/09/2018:svnDellInc.:pnXPS139370:pvr:rvnDellInc.:rn0F6P3V:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 13 9370
dmi.product.sku: 07E6
dmi.sys.vendor: Dell Inc.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Instead of using S3 as default, we should minimize the S2I power consumption on 9370.

Having looked into this in more detail, it sounds as though this is the intended behaviour for new laptops that declare ACPI_FADT_LOW_POWER_S0:
https://patchwork.kernel.org/patch/9433419/

This appears related to:
https://docs.microsoft.com/en-us/windows-hardware/design/device-experiences/behavior-differences-between-s3-and-modern-standby

If that is the case and this laptop is supposed to be able to do S2I that is low power but quicker to suspend and resume, then I guess I can understand Kai-Heng's comment (though the suspend/resume process is < few seconds for me with S3).

More background information on 'Modern Standby' on Linux here:
https://lwn.net/Articles/580451/

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

I'm marking this as incomplete for now until I can provide more information on relative power usage, things broken in modern standby/s2idle etc.

If we can get the power usage materially similar to deep sleep but with an instant-on experience etc (and everything else works as expected) then that seems the ideal. I will put together some statistics on relative power usage. I will keep it open, though, as if there is a substantial delta in power use that cannot be quickly fixed, I think there is at least an argument to default to deep sleep until those fixes are made (certainly I am much happier now I have made the change).

Owen Williams (ywwg) wrote :

I'd like the second the suggestion that s2idle sleep not be used at least on this model until the power usage issues have been worked out. It wasn't easy to figure out what the problem was and the battery drain will significantly reduce the lifespan of the laptop for users that don't know to change the setting.

mx80 (rzach) wrote :

I have the same problem on Asus Zenbook UX433F. With s2idle, suspend the battery drain rate is 3.3W, while in deep it's 1.2W. (Powered on, it's about 6W). So if I suspend it when the battery is half empty, it'll be dead overnight.

Grentz (mic.grentz) wrote :

Today with 4.18.0-16-generic and s2idle activated, the consumption is lesser than in the past.

100 % at 0h00 : I leave my laptop without suspend it. KDE suspend my laptop after 15 min.
95% at 7h40

I've powertop enabled.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

I disagree with the "Incomplete" status of this bug, specifically because it is now Expired. This bug is infuriating. Any time I reboot, if I forget to cat deep to /sys/power/mem_sleep, my laptop is dead the next time I go to use it. The battery lasts for days when using "deep" sleep.

In s2idle, it actually heats up in my backpack, and I worry it may overheat if I don't notice it.

I understand that the bug may not be fully understood yet, but allowing the bug to expire is entirely inappropriate. Even if only for this one reason, it should not be "Incomplete".

A proper s2idle would be wonderful, but until then, deep should be the default.

Changed in linux (Ubuntu):
status: Expired → Incomplete
status: Incomplete → Confirmed

I'm not familiar enough with launchpad to know that I could change the bug status to "Confirmed". Please correct me if that change is inappropriate. I have an XPS 9370. This is definitely a major issue for me.

This appears related: https://bugzilla.kernel.org/show_bug.cgi?id=199689

My SSD is model KXG50ZNV1T02, firmware revision AADA4102.

Aside: can launchpad comments be edited?

Kai-Heng Feng (kaihengfeng) wrote :

This is something we are working on. I'll backport fixes once they hit upstream.

In the meantime this kernel can be used as workaround:
https://people.canonical.com/~khfeng/nvme-hmb/

Changed in linux (Ubuntu):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Kai-Heng Feng (kaihengfeng) wrote :

Please test Bionic, Cosmic and Disco kernels under this URL:
https://people.canonical.com/~khfeng/lp1808129/

This is the final version I am going to request an SRU.

summary: - Dell XPS 13 (9370) defaults to s2idle sleep/suspend instead of deep
+ Dell XPS 13 (9370) defaults to s2idle sleep/suspend instead of deep,
+ NVMe drains lots of power under s2idle
Alejandro Díaz-Caro (janusdc) wrote :

Hi, I have a HP Spectre x360 13t-ap000, with the exact same problem. I also have NVMe and it drains lots of power under s2idle, and the only option I have in /sys/power/mem_sleep is that one.

I am running Arch Linux.

$ uname -a
Linux behemoth 5.1.8-arch1-1-ARCH #1 SMP PREEMPT Sun Jun 9 20:28:28 UTC 2019 x86_64 GNU/Linux

Kai-Heng Feng (kaihengfeng) wrote :

For distros other than Ubuntu, please compile your own kernel.

The simplest way to do it is to use nvme-5.3 branch:
http://git.infradead.org/nvme.git/shortlog/refs/heads/nvme-5.3

And pick the following two PCI patches:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=d491f2b75237ef37d8867830ab7fad8d9659e853
https://patchwork.kernel.org/patch/10993697/

Changed in linux (Ubuntu):
assignee: Kai-Heng Feng (kaihengfeng) → nobody
Changed in linux-oem (Ubuntu Cosmic):
status: New → Invalid
Changed in linux-oem (Ubuntu Disco):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Cosmic):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Disco):
status: New → Invalid
Stefan Bader (smb) on 2019-06-28
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux (Ubuntu Cosmic):
importance: Undecided → Medium
Changed in linux (Ubuntu Disco):
importance: Undecided → Medium
Changed in linux (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux (Ubuntu Cosmic):
status: New → Fix Committed
Changed in linux (Ubuntu Disco):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (5.2 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1012.13

---------------
linux-oem-osp1 (5.0.0-1012.13) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1012.13 -proposed tracker (LP: #1833932)

  * Add DMIC support to oem-kernel (LP: #1826181)
    - ASoC: SOF: Intel: hda: reduce ifdef usage for hda
    - ASoC: SOF: Intel: hda: Enable jack detection in sof hda driver
    - Revert "ASoC: SOF: Intel: hda: switch to use legacy IRQ mode"
    - ASoC: SOF: Intel: hda: modify stream interrupt handler
    - ASoC: SOF: Intel: fix warning for unused variable in non-HDA builds
    - ASoC: hdac_hdmi: report codec link up/down status to bus
    - ASoC: SOF: add runtime idle callback
    - ASoC: SOF: Intel: implement runtime idle for CNL/APL
    - ASoC: SOF: dont wake dsp up in kcontrol IO
    - ASoC: codec: hdac_hdmi: fix pin connections at cvt enable
    - ALSA: hda: fix headphone detection failed

  * [SRU][B/B-OEM/B-OEM-OSP-1/C/D/E] Add trackpoint middle button support of 2
    new thinpads (LP: #1833637)
    - Input: elantech - enable middle button support on 2 ThinkPads

  * [graphics] Enable ICL (LP: #1825940)
    - drm/i915/icl: Add WaDisableBankHangMode
    - drm/i915/icl: Adding few more device IDs for Ice Lake
    - drm/i915/cfl: Adding another PCI Device ID.
    - drm/i915: Accept alloc_size == blocks
    - drm/i915: Don't pass plane state to skl_compute_plane_wm()
    - drm/i915: Extract skl_compute_wm_params()
    - drm/i915: Allocate enough DDB for the cursor
    - drm/i915: Make sure cursor has enough ddb for the selected wm level
    - drm/i915: Keep plane watermarks enabled more aggressively
    - drm/i915: Move some variables to tighter scope
    - drm/i915: Don't pass pipe_wm around so much
    - drm/i915: Inline skl_update_pipe_wm() into its only caller
    - drm/i915: Fix PSR2 selective update corruption after PSR1 setup
    - drm/i915: Populate pipe_offsets[] & co. accurately
    - drm/i915: Extract ilk_lut_10()
    - drm/i915: Don't use split gamma when we don't have to
    - drm/i915: Implement split/10bit gamma for ivb/hsw
    - drm/i915: Add 10bit LUT for ilk/snb
    - drm/i915: Add "10.6" LUT mode for i965+
    - drm/i915: Expose the legacy LUT via the GAMMA_LUT/GAMMA_LUT_SIZE props on
      gen2/3
    - drm/i915: Expose full 1024 LUT entries on ivb+
    - drm/i915: Introduce struct class_instance for engines across the uAPI
    - drm/i915: Fix skl+ max plane width
    - drm/i915: Rename skl_wa_clkgating to the actual WA
    - drm/i915: Fix the inconsistent RMW in WA 827
    - drm/i915/icl: Fix clockgating issue when using scalers
    - drm/i915: Always try to reset the GPU on takeover
    - drm/i915: Add Wa_1409120013:icl,ehl
    - drm/i915/icl: use ranges for voltage level lookup
    - drm/i915/cnl: use ranges for voltage level lookup
    - drm/i915/skl: use ranges for voltage level lookup

  * Sometimes touchpad automatically trigger double click (LP: #1833484)
    - SAUCE: i2c: designware: Add disable runtime pm quirk

  * Add pointstick support on HP ZBook 17 G5 (LP: #1833387)
    - Revert "HID: multitouch: Support ALPS PTP stick with pid 0x120A"
    - SAUCE: HID: multitouch: Add pointstick support for ALPS Touchp...

Read more...

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-cosmic' to 'verification-done-cosmic'. If the problem still exists, change the tag 'verification-needed-cosmic' to 'verification-failed-cosmic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-cosmic
tags: added: verification-needed-bionic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-done-bionic verification-done-cosmic verification-done-disco
removed: verification-needed-bionic verification-needed-cosmic verification-needed-disco
Jeremy Soller (jackpot51) wrote :

The application of 1bde9ecf018ee646b68258921bf0fa364afda38a appears to have caused https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1836630

Launchpad Janitor (janitor) wrote :
Download full text (11.2 KiB)

This bug was fixed in the package linux - 4.15.0-55.60

---------------
linux (4.15.0-55.60) bionic; urgency=medium

  * linux: 4.15.0-55.60 -proposed tracker (LP: #1834954)

  * Request backport of ceph commits into bionic (LP: #1834235)
    - ceph: use atomic_t for ceph_inode_info::i_shared_gen
    - ceph: define argument structure for handle_cap_grant
    - ceph: flush pending works before shutdown super
    - ceph: send cap releases more aggressively
    - ceph: single workqueue for inode related works
    - ceph: avoid dereferencing invalid pointer during cached readdir
    - ceph: quota: add initial infrastructure to support cephfs quotas
    - ceph: quota: support for ceph.quota.max_files
    - ceph: quota: don't allow cross-quota renames
    - ceph: fix root quota realm check
    - ceph: quota: support for ceph.quota.max_bytes
    - ceph: quota: update MDS when max_bytes is approaching
    - ceph: quota: add counter for snaprealms with quota
    - ceph: avoid iput_final() while holding mutex or in dispatch thread

  * QCA9377 isn't being recognized sometimes (LP: #1757218)
    - SAUCE: USB: Disable USB2 LPM at shutdown

  * hns: fix ICMP6 neighbor solicitation messages discard problem (LP: #1833140)
    - net: hns: fix ICMP6 neighbor solicitation messages discard problem
    - net: hns: fix unsigned comparison to less than zero

  * Fix occasional boot time crash in hns driver (LP: #1833138)
    - net: hns: Fix probabilistic memory overwrite when HNS driver initialized

  * use-after-free in hns_nic_net_xmit_hw (LP: #1833136)
    - net: hns: fix KASAN: use-after-free in hns_nic_net_xmit_hw()

  * hns: attempt to restart autoneg when disabled should report error
    (LP: #1833147)
    - net: hns: Restart autoneg need return failed when autoneg off

  * systemd 237-3ubuntu10.14 ADT test failure on Bionic ppc64el (test-seccomp)
    (LP: #1821625)
    - powerpc: sys_pkey_alloc() and sys_pkey_free() system calls
    - powerpc: sys_pkey_mprotect() system call

  * [UBUNTU] pkey: Indicate old mkvp only if old and curr. mkvp are different
    (LP: #1832625)
    - pkey: Indicate old mkvp only if old and current mkvp are different

  * [UBUNTU] kernel: Fix gcm-aes-s390 wrong scatter-gather list processing
    (LP: #1832623)
    - s390/crypto: fix gcm-aes-s390 selftest failures

  * System crashes on hot adding a core with drmgr command (4.15.0-48-generic)
    (LP: #1833716)
    - powerpc/numa: improve control of topology updates
    - powerpc/numa: document topology_updates_enabled, disable by default

  * Kernel modules generated incorrectly when system is localized to a non-
    English language (LP: #1828084)
    - scripts: override locale from environment when running recordmcount.pl

  * [UBUNTU] kernel: Fix wrong dispatching for control domain CPRBs
    (LP: #1832624)
    - s390/zcrypt: Fix wrong dispatching for control domain CPRBs

  * CVE-2019-11815
    - net: rds: force to destroy connection if t_sock is NULL in
      rds_tcp_kill_sock().

  * Sound device not detected after resume from hibernate (LP: #1826868)
    - drm/i915: Force 2*96 MHz cdclk on glk/cnl when audio power is enabled
    - drm/i915: Save the old CDCLK atomic state
...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (57.5 KiB)

This bug was fixed in the package linux - 5.0.0-21.22

---------------
linux (5.0.0-21.22) disco; urgency=medium

  * linux: 5.0.0-21.22 -proposed tracker (LP: #1834902)

  * Disco update: 5.0.15 upstream stable release (LP: #1834529)
    - net: stmmac: Use bfsize1 in ndesc_init_rx_desc
    - Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in hv_synic_cleanup()
    - ubsan: Fix nasty -Wbuiltin-declaration-mismatch GCC-9 warnings
    - staging: greybus: power_supply: fix prop-descriptor request size
    - staging: wilc1000: Avoid GFP_KERNEL allocation from atomic context.
    - staging: most: cdev: fix chrdev_region leak in mod_exit
    - staging: most: sound: pass correct device when creating a sound card
    - ASoC: tlv320aic3x: fix reset gpio reference counting
    - ASoC: hdmi-codec: fix S/PDIF DAI
    - ASoC: stm32: sai: fix iec958 controls indexation
    - ASoC: stm32: sai: fix exposed capabilities in spdif mode
    - ASoC: stm32: sai: fix race condition in irq handler
    - ASoC:soc-pcm:fix a codec fixup issue in TDM case
    - ASoC:hdac_hda:use correct format to setup hda codec
    - ASoC:intel:skl:fix a simultaneous playback & capture issue on hda platform
    - ASoC: dpcm: prevent snd_soc_dpcm use after free
    - ASoC: nau8824: fix the issue of the widget with prefix name
    - ASoC: nau8810: fix the issue of widget with prefixed name
    - ASoC: samsung: odroid: Fix clock configuration for 44100 sample rate
    - ASoC: rt5682: Check JD status when system resume
    - ASoC: rt5682: fix jack type detection issue
    - ASoC: rt5682: recording has no sound after booting
    - ASoC: wm_adsp: Add locking to wm_adsp2_bus_error
    - clk: meson-gxbb: round the vdec dividers to closest
    - ASoC: stm32: dfsdm: manage multiple prepare
    - ASoC: stm32: dfsdm: fix debugfs warnings on entry creation
    - ASoC: cs4270: Set auto-increment bit for register writes
    - ASoC: dapm: Fix NULL pointer dereference in snd_soc_dapm_free_kcontrol
    - drm/omap: hdmi4_cec: Fix CEC clock handling for PM
    - IB/hfi1: Clear the IOWAIT pending bits when QP is put into error state
    - IB/hfi1: Eliminate opcode tests on mr deref
    - IB/hfi1: Fix the allocation of RSM table
    - MIPS: KGDB: fix kgdb support for SMP platforms.
    - ASoC: tlv320aic32x4: Fix Common Pins
    - drm/mediatek: Fix an error code in mtk_hdmi_dt_parse_pdata()
    - perf/x86/intel: Fix handling of wakeup_events for multi-entry PEBS
    - perf/x86/intel: Initialize TFA MSR
    - linux/kernel.h: Use parentheses around argument in u64_to_user_ptr()
    - iov_iter: Fix build error without CONFIG_CRYPTO
    - xtensa: fix initialization of pt_regs::syscall in start_thread
    - ASoC: rockchip: pdm: fix regmap_ops hang issue
    - drm/amdkfd: Add picasso pci id
    - drm/amdgpu: Adjust IB test timeout for XGMI configuration
    - drm/amdgpu: amdgpu_device_recover_vram always failed if only one node in
      shadow_list
    - drm/amd/display: fix cursor black issue
    - ASoC: cs35l35: Disable regulators on driver removal
    - objtool: Add rewind_stack_do_exit() to the noreturn list
    - slab: fix a crash by reading /proc/slab_allocators
    - drm/sun4i: tcon top: Fix NULL/inv...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) on 2019-07-24
tags: added: ubuntu-certified
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1015.16

---------------
linux-oem-osp1 (5.0.0-1015.16) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1015.16 -proposed tracker (LP: #1836856)

  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device

  * First click on Goodix touchpad doesn't be recognized after runtime suspended
    (LP: #1836836)
    - SAUCE: i2c: designware: add G3 3590 into i2c quirk

 -- Timo Aaltonen <email address hidden> Thu, 18 Jul 2019 11:29:53 +0300

Changed in linux-oem-osp1 (Ubuntu Disco):
status: Invalid → Fix Released
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-oem (Ubuntu Bionic):
status: New → Confirmed
Changed in linux-oem (Ubuntu):
status: New → Confirmed
Changed in linux-oem-osp1 (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1050.57

---------------
linux-oem (4.15.0-1050.57) bionic; urgency=medium

  * bionic/linux-oem: 4.15.0-1050.57 -proposed tracker (LP: #1839261)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 4.15.0-58.64 ]

  * unable to handle kernel NULL pointer dereference at 000000000000002c (IP:
    iget5_locked+0x9e/0x1f0) (LP: #1838982)
    - Revert "ovl: set I_CREATING on inode being created"
    - Revert "new primitive: discard_new_inode()"

 -- Chia-Lin Kao (AceLan) <email address hidden> Wed, 07 Aug 2019 18:14:17 +0800

Changed in linux-oem (Ubuntu Bionic):
status: Confirmed → Fix Released
Changed in linux-oem (Ubuntu Disco):
status: Invalid → Fix Released
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.2 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1018.20

---------------
linux-oem-osp1 (5.0.0-1018.20) bionic; urgency=medium

  * alsa/hdmi: the sound is distorted when playing via nvidia hdmi
    (LP: #1838243)
    - ALSA: hda: program stripe control for codec

  * alsa/sof: let legacy hda driver and sof driver co-exist (LP: #1837828)
    - ASoC: Intel: Skylake: move NHLT header to common directory
    - ALSA: hda: move parts of NHLT code to new module
    - ALSA: hda: intel-nhlt: handle NHLT VENDOR_DEFINED DMIC geometry
    - ASoC: Intel: Skylake: use common NHLT module
    - ALSA: hda/intel: stop probe if DMICS are detected on Skylake+ platforms
    - [Config] enable SND_HDA_INTEL_DETECT_DMIC for dmic
    - [Config] enable SND_HDA_INTEL_DETECT_DMIC for dmic

  * alsa/sof: the headphone doesn't work when sound-setting opens (LP: #1837900)
    - Revert "ASoC: SOF: hda: set autosuspend delay for hda bus device"

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Revert "Input: alps - don't handle ALPS cs19 trackpoint-only device"
    - Input: alps - don't handle ALPS cs19 trackpoint-only device
    - Input: alps - fix a mismatch between a condition check and its comment

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - SAUCE: i915: set disable_power_well=0 for icl temporarily

  * alsa/sof: The definition of ROM state register is not correct (LP: #1837500)
    - ASoC: SOF: Intel: HDA: correct ROM state mask

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 5.0.0-25.26 ]

  * CVE-2019-1125
    - x86/cpufeatures: Carve out CQM features retrieval
    - x86/cpufeatures: Combine word 11 and 12 into a new scattered features word
    - x86/speculation: Prepare entry code for Spectre v1 swapgs mitigations
    - x86/speculation: Enable Spectre v1 swapgs mitigations
    - x86/entry/64: Use JMP instead of JMPQ
    - x86/speculation/swapgs: Exclude ATOMs from speculation through SWAPGS

  [ Ubuntu: 5.0.0-24.25 ]

  * disco/linux: 5.0.0-24.25 -proposed tracker (LP: #1838395)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
  * hibmc-drm Causes Unreadable Display for Huawei amd64 Servers (LP: #1762940)
    - [Config] Set CONFIG_DRM_HISI_HIBMC to arm64 only
    - SAUCE: Make CONFIG_DRM_HISI_HIBMC depend on ARM64
  * [18.04 FEAT] zKVM: Add hardware CPU Model - kernel part (LP: #1836153)
    - KVM: s390: add debug logging for cpu model subfunctions
    - KVM: s390: implement subfunction processor calls
    - KVM: s390: add vector enhancements facility 2 to cpumodel
    - KVM: s390: add vector BCD enhancements facility to cpumodel
    - KVM: s390: add MSA9 to cpumodel
    - KVM: s390: provide query function for instructions returning 32 byte
    - KVM: s390: add enhanced sort facilty to cpu model
    - KVM: s390: add deflate conversion facilty to cpu model
    - KVM: s390: enable MSA9 keywrapping functions depending on cpu model
  * bcache: risk of data loss on I/O errors in backing or caching devices
    (LP: #1829563)
    - Revert "bcache: set CACHE_SET_IO_DISABLE in bch_cached_dev_error()"
  * Intel ethernet I219 has...

Changed in linux-oem (Ubuntu):
status: Confirmed → Fix Released
Changed in linux-oem-osp1 (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.